export default class SearchParamHandler {
    readFromUrl() {
        this.params = this.readUrlParams();
    }
    getParam(key) {
        if (this.params) {
            return this.params.get(key);
        }
        return "";
    }
    deleteParam(key) {
        if (this.params) {
            this.params.delete(key);
        }
    }
    setParam(key, value) {
        if (this.params) {
            this.params.set(key, value);
        }
    }
    readUrlParams() {
        return new URLSearchParams(window.location.search.replace(/^\?/, ""));
    }
    toString() {
        const url = this.params?.toString();
        if (url === "") {
            return "";
        }
        return "?" + url;
    }
}
//# sourceMappingURL=SearchParamHandler.js.map