export default class SearchParamHandler {
	protected params?: URLSearchParams
	readFromUrl() {
		this.params = this.readUrlParams()
	}
	getParam(key: string): string | null {
		if (this.params) {
			return this.params.get(key)
		}
		return ""
	}
	deleteParam(key: string) {
		if (this.params) {
			this.params.delete(key)
		}
	}
	setParam(key: string, value: string) {
		if (this.params) {
			this.params.set(key, value)
		}
	}
	readUrlParams() {
		return new URLSearchParams(window.location.search.replace(/^\?/, ""))
	}
	toString() {
		const url = this.params?.toString()
		if (url === "") {
			return ""
		}
		return "?" + url
	}
}
